> For the complete documentation index, see [llms.txt](https://docs.angular-package.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.angular-package.dev/text/wrapper/wrapped.md).

# Wrapped

The [`Wrapped`](/text/wrapper/basic-concepts.md#wrapped) string object represents the immutable wrapped text.

### Instance accessors

<table><thead><tr><th width="150">Wrapped.prototype.</th><th>Decription</th><th data-hidden></th></tr></thead><tbody><tr><td><a href="/pages/qrnBIJ7ru2G1t0pi79wO#closingchar">closing</a></td><td>The <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Functions/get"><code>get</code></a> accessor gets the <a href="/pages/6Nle1uMltWSb2uh6hgTQ#closing">closing</a> of the <a href="/pages/6Nle1uMltWSb2uh6hgTQ#wrap">wrap</a>.</td><td></td></tr><tr><td><a href="/pages/qrnBIJ7ru2G1t0pi79wO#openingchar">opening</a></td><td>The <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Functions/get"><code>get</code></a> accessor gets the <a href="/pages/qrnBIJ7ru2G1t0pi79wO#opening">opening</a> of the <a href="/pages/6Nle1uMltWSb2uh6hgTQ#wrap">wrap</a>.</td><td></td></tr><tr><td><a href="/pages/qrnBIJ7ru2G1t0pi79wO#wrapped.property.text">text</a></td><td>The <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Functions/get"><code>get</code></a> accessor gets the text.</td><td></td></tr><tr><td><a href="/pages/qrnBIJ7ru2G1t0pi79wO#value">value</a></td><td>The <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Functions/get"><code>get</code></a> accessor gets the wrapped text primitive value of a specified object.</td><td></td></tr><tr><td><a href="/pages/qrnBIJ7ru2G1t0pi79wO#symbol.tostringtag">[Symbol.toStringTag]</a></td><td>The property, with the help of <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Symbol/toStringTag"><code>toStringTag</code></a> of Symbol, changes the default object tag to <code>wrapped</code> for an instance of the <a href="/pages/KWQPnnFl0P7qlEW1NeKu"><code>Wrapped</code></a>.</td><td></td></tr></tbody></table>

### Static methods

<table><thead><tr><th width="159.3850553872428">Wrapped.</th><th>Description</th></tr></thead><tbody><tr><td><a href="/pages/UeS4XbmUDhXqIqPprhjO#iswrapped">isWrapped()</a></td><td>The static method checks whether the provided <code>value</code> of any type is an instance of <a href="/pages/KWQPnnFl0P7qlEW1NeKu"><code>Wrapped</code></a>.</td></tr><tr><td><a href="/pages/UeS4XbmUDhXqIqPprhjO#template">template()</a></td><td>The static "tag" method builds the wrapped text of a <code>string</code> type on the template.</td></tr></tbody></table>

### Instance methods

| Wrapped.prototype.                                             | Description                                                                                                                                                                                              |
| -------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [unwrap()](/text/wrapper/wrapped/instance-methods.md#unwrap)   | Returns an unwrapped text, without the [opening](/text/wrapper/wrapped/instance-accessors.md#openingchar), and [closing](/text/wrapper/wrapped/instance-accessors.md#closingchar) character of the wrap. |
| [valueOf()](/text/wrapper/wrapped/instance-methods.md#valueof) | Gets wrapped text, the primitive value of a specified object.                                                                                                                                            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.angular-package.dev/text/wrapper/wrapped.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
